<template>
  <div class="d-flex align-center">
    <span v-if="$slots.before" class="pr-2"><slot name="before" /></span>
    <v-icon :icon="`fas fa-${icon}`" :color="color" :size="size" />
    <span v-if="$slots.default" class="pl-2"><slot /></span>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  props: {
    icon: {
      type: String,
      required: true,
    },
    color: {
      type: String,
      default: "inherit",
    },
    size: {
      type: String,
      default: "default",
    },
  },
});
</script>
